diff libtomcrypt/testbuild.sh @ 398:59c7938af2bd

merge of '1250b8af44b62d8f4fe0f8d9fc7e7a1cc34e7e1c' and '7f8670ac3bb975f40967f3979d09d2199b7e90c8'
author Matt Johnston <matt@ucc.asn.au>
date Sat, 03 Feb 2007 08:20:30 +0000
parents 0cbe8f6dbf9e
children 6dba84798cd5
line wrap: on
line diff
--- a/libtomcrypt/testbuild.sh	Sat Feb 03 08:09:55 2007 +0000
+++ b/libtomcrypt/testbuild.sh	Sat Feb 03 08:20:30 2007 +0000
@@ -3,7 +3,7 @@
 make clean 1>/dev/null 2>/dev/null
 echo -n "building..."
 touch testok.txt
-CFLAGS="$2" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
+CFLAGS="$2 $CFLAGS $4" EXTRALIBS="$5" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
 if find testok.txt -type f 1>/dev/null 2>/dev/null ; then
    echo "successful"
    exit 0